FROM manjarolinux/base
COPY . /work
RUN pacman -Syu glibc lib32-glibc base-devel gtk4 libadwaita git --noconfirm && \
    pacman -Scc &&\
    curl https://sh.rustup.rs -sSf | sh -s -- -y && \
    source $HOME/.cargo/env && \
    cargo install cocogitto --locked && \
    cargo install cargo-outdated --locked && \
    cargo install cargo-bump --locked && \
    cargo install cargo-audit --locked && \
    cargo install --path /work &&\
    rm -rf .cargo/registry &&\
    rm -rf /work
